FraRateHelper Class Reference

Rate helper for bootstrapping over FRA rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for FraRateHelper:
[legend]

## Public Member Functions

| FraRateHelper (const Handle< Quote > &rate, Natural monthsToStart, Natural monthsToEnd, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (Rate rate, Natural monthsToStart, Natural monthsToEnd, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (const Handle< Quote > &rate, Natural monthsToStart, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (Rate rate, Natural monthsToStart, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (const Handle< Quote > &rate, Period periodToStart, Natural lengthInMonths, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (Rate rate, Period periodToStart, Natural lengthInMonths, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (const Handle< Quote > &rate, Period periodToStart, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (Rate rate, Period periodToStart, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (const Handle< Quote > &rate, Natural immOffsetStart, Natural immOffsetEnd, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
| FraRateHelper (Rate rate, Natural immOffsetStart, Natural immOffsetEnd, const ext::shared_ptr< IborIndex > &iborIndex, Pillar::Choice pillar=Pillar::LastRelevantDate, Date customPillarDate=Date(), bool useIndexedCoupon=true)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
Public Member Functions inherited from RelativeDateBootstrapHelper< TS >
| RelativeDateBootstrapHelper (const Handle< Quote > &quote)
| RelativeDateBootstrapHelper (Real quote)
void | update ()
Public Member Functions inherited from BootstrapHelper< TS >
| BootstrapHelper (const Handle< Quote > &quote)
| BootstrapHelper (Real quote)
const Handle< Quote > & | quote () const
Real | quoteError () const
virtual void | setTermStructure (TS *)
| sets the term structure to be used for pricing More...
virtual Date | earliestDate () const
| earliest relevant date More...
virtual Date | maturityDate () const
| instrument's maturity date
virtual Date | latestRelevantDate () const
| latest relevant date More...
virtual Date | pillarDate () const
| pillar date
virtual Date | latestDate () const
| latest date More...
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Visitability

void | accept (AcyclicVisitor &)

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Member Functions inherited from RelativeDateBootstrapHelper< TS >
Protected Attributes inherited from RelativeDateBootstrapHelper< TS >
Date | evaluationDate_
Protected Attributes inherited from BootstrapHelper< TS >
Handle< Quote > | quote_
TS * | termStructure_
Date | earliestDate_
Date | latestDate_
Date | maturityDate_
Date | latestRelevantDate_
Date | pillarDate_

## Detailed Description

Rate helper for bootstrapping over FRA rates.

Examples
  FRA.cpp, and MulticurveBootstrapping.cpp.